Subject: bug#61104: 29.0.60; typescript-ts-mode does not provide compilation-mode support

From: Theodor Thornhill <[email-masked]>
Date: Fri, 03 Feb 2023 06:30:29 +0100

On 2 February 2023 22:01:11 CET, "Jostein Kjønigsen" <[email-masked]> wrote:
>Any news on this one? Will this be merged? :)
>

My guess is that it should go on master. I'll look at it today - sorry it took some time :)

Theo

>Vennlig hilsen
>*Jostein Kjønigsen*
>
>[email-masked] 🍵 [email-masked]
>https://jostein.kjønigsen.no <https://jostein.kjønigsen.no>
>On 1/28/23 15:28, Jostein Kjønigsen wrote:
>> 
>> On 1/28/23 08:23, Eli Zaretskii wrote:
>>> 
>>> I don't think doing this in the major-mode file will improve locality,
>>> because we have compilation-minor-mode, which should be able to do its
>>> thing even if the relevant major mode is not yet loaded.
>> Fair enough!
>>> 
>>>> - adding it in compile.el, to improve ability to oversee all
>>>> expressions, and be able to optimize those?
>>>> 
>>>> I see csharp-mode.el has the expressions added directly there. Should I
>>>> go about preparing patches doing
>>>> the same for typescript-ts-mode too?
>>> I don't see why not.
>> 
>> Ok. Attached is a patch which adds Typescript tsc-support to compile.el. Is this OK to install in emacs-29?
>> 
>> I also see in retrospect that my comment about csharp-mode above may been somewhat ambiguous and easy to misunderstand (and seemingly you did).
>> 
>> To be clear: csharp-mode includes the compilation-mode regexps in the major-mode, not in compile.el. Is this also something we should aim to fix for emacs-29, or should we leave that for master?
>> 
>> -- 
>> Jostein